Bug 50642 - onlinedocs formated text too small to read
Summary: onlinedocs formated text too small to read
Status: NEW
Alias: None
Product: gcc
Classification: Unclassified
Component: web (show other bugs)
Version: unknown
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords: documentation
Depends on:
Blocks:
 
Reported: 2011-10-06 22:06 UTC by Jon Grant
Modified: 2013-07-01 10:51 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2011-10-07 00:00:00


Attachments
Override @smallexample attributes (705 bytes, patch)
2013-04-30 09:54 UTC, Shakthi Kannan
Details | Diff
Normal font for smallexample using update_web_docs_svn script (827 bytes, patch)
2013-05-06 10:33 UTC, Shakthi Kannan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Grant 2011-10-06 22:06:26 UTC
Discussed on the mailing list:

http://gcc.gnu.org/ml/gcc/2011-07/msg00106.html

8 Jul 2011:

Hello

I'm using latest Firefox looking at the onlinedocs with a default
Firefox install, default font sizes, no change in zoom level.

http://gcc.gnu.org/onlinedocs/gcc/Variable-Attributes.html


The monospace text is tiny, e.g.:

<pre class="smallexample">          struct foo { int x[2]
__attribute__ ((aligned (8))); };
     </pre>


The fix is pretty easy, just change the embedded CSS that is generated:

  pre.smallexample { font-size:smaller }

I propose this be changed to:

  pre.smallexample { font-size:normal }


Note: There are some other CSS tags with "smaller", but they are
unused on that page, perhaps worth checking if the others are used in
other files and can be changed to "normal" as well.

I'm not on the mailing list, so please keep my email address in any replies.

Thanks, Jon
Comment 1 Paolo Carlini 2011-10-07 00:21:00 UTC
I must say, I have been using Firefox on Linux exclusively for years, and years, and never had this issue with my normal setup in terms of font size (the same I use for, I don't know, Slashdot or online newspapers). I guess it's largely matter of personal taste (my sight is absolutely average, for sure)
Comment 2 Jonathan Wakely 2011-10-07 00:49:31 UTC
I think this PR is valid, I don't see why the fixed-width text has to be so small. I *can* read it at that size, but I'd prefer if it was the same size as the text in a proportional font.
Comment 3 Georg-Johann Lay 2011-10-07 08:23:48 UTC
Agree. I don't see why fixed withs fonts should be smaller. I am using FireFox and Opera where the normal font is easy to read but the examples are hardly readable.

It's no big dead to change this and most examples are small, anyway, i.e. just a few lines of code. So it won't hurt to print them normal sized.
Comment 4 Andreas Schwab 2011-10-07 16:33:46 UTC
A @smallexample is supposed to be smaller than an @example.
Comment 5 Georg-Johann Lay 2011-10-07 17:17:30 UTC
Legibility first. There is no need to be more catholic than the pope ;-)
Comment 6 Jon Grant 2011-11-12 22:15:36 UTC
Could this be followed up with the proposed change implemented?

pre.smallexample { font-size:normal }

Thanks, Jon
Comment 7 Shakthi Kannan 2013-04-18 09:40:36 UTC
'Small' can mean different things depending on the context. It can refer to a simple example, or something that is tiny.

On Mozilla Firefox 16.0.2, the 'smallexample' is indeed difficult to read. 

Please change the font size to normal. If it appears similar to the text, a different font family can be used.
Comment 8 Manuel López-Ibáñez 2013-04-18 10:02:13 UTC
(In reply to comment #7)
> 
> Please change the font size to normal. If it appears similar to the text, a
> different font family can be used.

Please send a patch to gcc-patches with [wwwdocs] in the subsject. My guess is that nobody cares enough to bother to submit a patch. If someone submitted a patch, Gerald most likely will approve it.
Comment 9 Shakthi Kannan 2013-04-30 09:54:50 UTC
Created attachment 29978 [details]
Override @smallexample attributes

The attached patch overrides the default @smallexample attributes defined by makeinfo. It includes a html.css file where the smallexample attributes are defined to use a medium font size with a light blue background for readability and clarity.

The patch has also been sent to the gcc-patches mailing list:

  http://gcc.gnu.org/ml/gcc-patches/2013-04/msg01766.html
Comment 10 Shakthi Kannan 2013-05-06 10:33:33 UTC
Created attachment 30037 [details]
Normal font for smallexample using update_web_docs_svn script

As mentioned in the gcc-patches list, the online docs are updated using maintainer-scripts/update_web_docs_svn script. The attached patch runs makeinfo from this script with html.css to override @smallexample attributes.
Comment 11 Jon Grant 2013-07-01 10:46:42 UTC
Hi

The problem is still visible for me with default new Firefox profile:

Screenshot:
http://justpaste.it/2zap

Who can re-generate the website?

Regards
Comment 12 Shakthi Kannan 2013-07-01 10:51:48 UTC
Hi,

----- Original Message -----
| From: "jg at jguk dot org" <gcc-bugzilla@gcc.gnu.org>
|
| The problem is still visible for me with default new Firefox profile:
\--

The patch has not yet been committed to the trunk.

SK